\version "2.25.8"
%songStyle = #'büdel

\include "../../lilypond-custom-includes/base_config.ly"
%#(set-default-paper-size "a4" 'portrait) %Seitenformat ändern


HEADER = \bookpart {

  \paper {
    %page-count = #1	% dieser Befehl quetscht alles auf diese Seitenanzahl
    %markup-system-spacing.padding = 4   %Abstand zwischen Titel und Noten
    %top-system-spacing.padding = 6 %Abstand zwischen Seitenrand und obersten Notensystem (wenn was anderes da steht wie z.B. Titel/ Text, greift das nicht) gut um z.B. noten auf der zweiten Seite runter zu machen
    %#(layout-set-staff-size 13) %Größe ändern
    %print-page-number = ##f %keine Seitenzahlen drucken
    %system-system-spacing.padding = 1 %verändert den Abstand zwischen zwei Systemen
  }

  \header {
    title = "Liedtitel"
    alttitle = "Alternativtitel"
    titlesize = 11
    titletopspace = 2
    authors = #'(
    ("dude" melody)
    ("kumpel" text))
    year_text = "2020"
    year_melody = "2021"
    copyright = "Fumpeverlag"
    categories = "see"
    songinfo = "Hintergrund

                Übersetzung

                Aussprache"
  }
}

LAYOUT = \layout {
  \generalLayout
}


global = {
  %\transposeGlobal a g
  %Takt
  \time 4/4
  %\set Timing.beatStructure = #'(3 2 2) 	% Befehl für manuelle Balkenverknüpfung (hier 7/8)
  %Tonart
  \key c \major
}

firstVerse = \lyricmode {
  \set stanza = "1."
  Hier \repeat unfold 6 { _ } ist der Text für Stro -- phe eins. \set ignoreMelismata = ##t  \unset ignoreMelismata % Bindebögen irgnorieren
}

secondVerse = \lyricmode {
  \set stanza = "2."
  Mit _ ü -- ber -- springt man No -- ten. \markup { \bold { fett! krass } }
  "Mehrere Silben" auf ei -- ne No -- te. Me -- lis -- ma -- \set ignoreMelismata = ##t ta aus \unset ignoreMelismata und wieder an
}

firstVoice = \relative c' {
  \global
  %\clef "bass"			% Bassschlüssel
  \partial 4			% Auftakt
  a'4				% mit ' und , oktaviert man
  \repeat volta 2 {		% Wiederholung
  d,4 e fis g
  a8 a (a) a d,4~d		% Bindebögen
   << { \voiceTwo
       g4. c,8 c4 d
      }
      \new Voice { \voiceOne \secondVoiceStyle
       g4. g8 g4 f
   }
   >> \oneVoice
  }
  \alternative {			%Klammer eins und zwei
    {e2. a4}
    {e2. r4}
  }
  \break 				%Zeilenumbruch
  e1 \noBreak
  e1
  e2^\markup \bold "I. hier einsetzen!" (f)
  e1 \mark \markup { \italic { fine } }
  a1_\markup { \italic Zwischenspiel } a1
   \once \override Score.TimeSignature.stencil = ##f \time 2/4 %unsichtbarer Taktwechsel (ansonsten nur \time macht sichtbaren Taktwechsel)
 a2 <a c>2
  r2 \once \override Score.RehearsalMark.break-visibility = #end-of-line-visible
  \once \override Score.RehearsalMark.self-alignment-X = #RIGHT
  \mark "D.C. al Fine"

  \bar "|."
}

bridge = \relative c' {
  \global
  \time 3/4
  a4 h c a h c
}

bridgeVerse = \lyricmode {
  \set stanza = "Bridge:"
  Das hier ist ei -- ne Bridge
}

MUSIC =
{
  <<
      \chords {
        s4 d2 h:m fis:m b g1 \klamm{a2. d4}  c1/h
        e \once \set chordChanges = ##f e	%gleichbl. Akkord sichtbar machen
        h:1.3.5.11
      }
      \new ChoirStaff = "firstStaff" \with {
        %\override StaffGrouper.staff-staff-spacing.padding = #0
        %\override StaffGrouper.staff-staff-spacing.basic-distance = #1
      }
      <<
        \new Voice = "firstVoice" { \firstVoice }
        \addlyrics { \firstVerse }
        \addlyrics { \secondVerse }
      >>
   >>
}

BRIDGE =
{
  <<
    \chords { a2:m a:m a:m a:m }
    \new Voice { \bridge }
    \addlyrics { \bridgeVerse }
  >>
}

TEXT = \markuplist
{
%\fontsize #-1		%Text in den Strophen kleiner
 %\vspace #1.5		%Abstand zwischen Strophen
  \group-verses {
    \override #'(verse-vspace . 0.8) %abstand der Verse voneinander kleiner
    \chordverse #"3."
    #"Test (Akk,a:m)orde (ü,a:1.3.7+.9)ber    den (Stro,d:m)phen (test)
      \\repStart sind (sup,e)er \\underline {(cool,a:m)} \\repStop
      und (sie,a:m) sind (jetzt,\\klamm{d:m}) auch (klam,\\klamm { d })mer(bar,\\klamm g)
      \\italic  { hier i(s,fis)t mal was (kur,d:m)siv } – das k(lap,g:m)pt (je,a)tzt"

    \nochordverse #"4."
    #"Hier ist leider nicht genug (Platz,g)
      für (Akk,a:m)orde über den (Stro,d:m)phen
      \\repStart deswegen \\concat{ \\underline { wer } den } die hier mittels \\bold { nochordverse } automatisch
      entfernt! \\repStop"
  }

  \group-verses {
    \vspace #5

    \nochordverse #"5."
    #"Hier geht die 5. Strophe los, die zusammen mit der 6. auf
      eine Seite soll"

    \nochordverse #"6."
    #"Strophen in einer \\concat{\\char ##x5C group-verses} Umgebung werden aneinander
      ausgerichtet und auf der Seite zentriert.
      Man beachte auch wie widerlich der Backslash
      vor group-verses eingegeben werden muss!
      Falls ihr mal runde (Klammern) braucht: \\concat{\\char ##x28 Klammer} auf und Klammer \\concat{zu \\char ##x29 }"

    \nochordverse #"7."
    #"Wir achten bitte auch auf typografisch korrekte Zeichen.
      Ein deutsches Apostroph sieht so aus ’ und nicht so '
      Ein Gedankenstrich, wie er auch zur Trennung von Jahreszahlen
      genutzt wird ist so – und nicht so -
      Anführungszeichen sind so „ und so “"
  }
  \override #'(verse-cols . 2) %Spalten
  %\override #'(verse-ordering-horizontal . #t) % Verse horizontal fortlaufend anordnen
 % \override #'(verse-hspace . -5) %Abstand zwischen Spalten geringer
   %\translate #'(2 . 0) %das nächste was er printed, printed er nicht dahin wo es eigentlich hinkommt sondern verschiebt es um (x.y)
  \group-verses {
    \chordverse #"8."
    #"Stro(phen,a:m) können jetzt auch in (Spal,f)ten!
      Voll (krass,e) (eh,a:m)!"

    \chordverse #"9."
    #"Stro(phen,a:m) können jetzt auch in (Spal,f)ten!
      Voll (krass,e) (eh,a:m)!"

    \override #'(intraverse-vspace . 3) % Abstand der Zeilen eines Verses vergrößern
    \chordverse #"10."
    #"Stro(phen,a:m) können jetzt auch in (Spal,f)ten!
      Voll (krass,e) (eh,a:m)!"

    \chordverse #"11."
    #"Stro(phen,a:m) können jetzt auch in (Spal,f)ten!
      Voll (krass,e) (eh,a:m)!"

    \chordverse #"12."
    #"Stro(phen,a:m) können jetzt auch in (Spal,f)ten!
      Voll (krass,e) (eh,a:m)"
  }
  \group-verses {
    %\override #'(baseline-skip . 1) %Damit verändert man den Abstand der Notenzeilen
    \score {
      \inline-score
      \BRIDGE
      \layout { \generalLayout }
    }
    \chordverse #""
     #"(,\\repeats-around-chords { a:m c } d)"
    \score {
      \chords { \repeats-around-chords { a4:m c } d }
      \layout { \generalLayout }
    }
  }
  \fret-chord #"x;2;4;4;4;o;" #"h:1.3.5.11"
}

\include "../../lilypond-common-includes/standalone_output.ly"